

function afExpectedState = PredictState(tDrone, afInitState, afInput, fTimestep)

    afDeltaX = fTimestep * tDrone.tDynamics.f(afInitState, afInput);
    
    % check for acceleration constraint
%     fAccSquared = afDeltaX(3:4)'*afDeltaX(3:4);
%     if fAccSquared > tDrone.fMaxAcc^2
%         afDeltaX(3) = afDeltaX(3) *tDrone.fMaxAcc^2/fAccSquared;
%         afDeltaX(4) = afDeltaX(4) *tDrone.fMaxAcc^2/fAccSquared;
%     end

    if afDeltaX(3) > tDrone.fMaxAcc
        afDeltaX(3) = tDrone.fMaxAcc;
    end
    if afDeltaX(4) > tDrone.fMaxAcc
        afDeltaX(4) = tDrone.fMaxAcc;
    end

    % update using saturated deltaX
    afExpectedState = afInitState + afDeltaX;

    % check for velocity constraint
%     fVelSquared = afNewState(3:4)'*afNewState(3:4);
%     if fVelSquared > tDrone.fMaxVel^2
%         afNewState(3) = afNewState(3) *tDrone.fMaxVel^2/fVelSquared;
%         afNewState(4) = afNewState(4) *tDrone.fMaxVel^2/fVelSquared;
%     end
    
    if afExpectedState(3) > tDrone.fMaxVel
        afExpectedState(3) = tDrone.fMaxVel;
    end
    if afExpectedState(4) > tDrone.fMaxVel
        afExpectedState(4) = tDrone.fMaxVel;
    end
    
end