
function AddWalls(tEnvironment, aaiWalls)
    for iWall = 1:size(aaiWalls,1)
        fDelta = 1/tEnvironment.tMap.Resolution;
        if aaiWalls(iWall,1) == aaiWalls(iWall,3) % if wall is vertical
            yPos = [aaiWalls(iWall,2)+fDelta/2:fDelta:aaiWalls(iWall,4)]';
            xPos = aaiWalls(iWall,1)*ones(numel(yPos),1);
        else % wall is horizontal
            xPos = [aaiWalls(iWall,1)+fDelta/2:fDelta:aaiWalls(iWall,3)]';
            yPos = aaiWalls(iWall,2)*ones(numel(xPos),1);
        end
        
        setOccupancy(tEnvironment.tMap, [xPos yPos], ones(numel(xPos),1));
    end
    
    

end