clear;
warning('off','MATLAB:polyshape:repairedBySimplify');
%---------- PLot and debug Param ----------------
bPlotInitPos = false;
bPlotFinalPos = false; 
bPlotSim = false;

%--------------Sim Param-------------------------
iNumberOfIterations = 4000;
fTimestep = 0.01;
fTerminationEpsilon = 0.5*fTimestep;
iStepsForTermination = 50;

%-----------Sensor Param-------------------------
fRange = 4;
fDeltaRange = 0.4;
fDeltaAngle = pi/40;

%--------- Controller Param----------------------
fGain = 15;
fMaxAreaDrone = pi*fRange^2;
fAreaEpsilon = 0.1*fMaxAreaDrone;  % how much area increase to enter new drone %0.0503

%--------- Iterative parameters------------------
csRoomTypes = {'SquareRoom', 'LRoom', 'CRoom', 'HollowSquareRoom'};
csControlTypes = {'OpenBorders', 'VirtualFields'};
afHeightToWidthRatio = 0.6:0.4:1.4;
afDetectRange = 2:1:4;
aafEntrancePoint = [2 0;
                   16 0]';

%------------Drone Param------------------------
fMass = 0.05;
fViscousity = 0.01;
fMaxAcc = 3;
fMaxVel = 10*fTimestep;
iMaxNumberOfDrones = 100;

% aafInitPos = [1 1 0 0;
%               0.5 0.5 0 0;
%               1.5 0.5 0 0]';



