
% Returns a sensor struct with range and the resolution in range and
% angle

function tSensor = RangeBearing(fRange, fDeltaRange, fDeltaAngle)

    tSensor.fRange = fRange;

    tSensor.fDeltaRange = fDeltaRange;
    tSensor.fDeltaAngle = fDeltaAngle;
    
    tSensor.afRanges = [fDeltaRange:fDeltaRange:fRange]';
    tSensor.afAngles = [0:fDeltaAngle:2*pi-fDeltaAngle]';

end