function fArea = CalculateArea(atDrones)
    x = atDrones(1).afState(1); 
    y = atDrones(1).afState(2);
    th = atDrones(1).tSensor.HorizontalAngle(1):atDrones(1).tSensor.HorizontalAngleResolution:atDrones(1).tSensor.HorizontalAngle(2);
    afRange = atDrones(1).afSensorReading;
    %afRange = 0.4;
    %th = th(1:end-1);
    %afRange = afRange(1:end-1);
    xunit = afRange.*cos(th)' + x;
    yunit = afRange.*sin(th)' + y;
    polyUnion = polyshape(xunit(1:end-1)',yunit(1:end-1)');
    
    % find out how to create a vector of polygons and use union on the
    % vector
    
    for iDrone = 2:numel(atDrones)
        x = atDrones(iDrone).afState(1); 
        y = atDrones(iDrone).afState(2);
        afRange = atDrones(iDrone).afSensorReading;
        %afRange = afRange(1:end-1);
        xunit = afRange.*cos(th)' + x;
        yunit = afRange.*sin(th)' + y;
        poly0 = polyshape(xunit(1:end-1),yunit(1:end-1));
        polyUnion = union(polyUnion, poly0);
    end
    
    fArea = area(polyUnion);
end