
function bTermination = CheckTermination(aaafDronePoses, iTime, fEpsilon, iNumberOfSteps)
    
    bTermination = false;
    if iTime > iNumberOfSteps+1
        for iDrone = 1:size(aaafDronePoses,2)
            for i = iTime-iNumberOfSteps:iTime-1
                afChange = aaafDronePoses(1:2,iDrone, i+1)-aaafDronePoses(1:2,iDrone, i);
                if sqrt(sum(afChange.^2)) > fEpsilon
                    bTermination = false;
                    return;
                end
            end
        end
        bTermination = true;
        
    end
    
        
end