
function aafPoses = GetEntrancePos(iNumberOfNewDrones, afEntrancePoint)
    % input: aEntrancePoint - [2x1] point
    switch( iNumberOfNewDrones )
        case 1
            aafPoses = [afEntrancePoint' 0 0] + [0 0.5 0 0];
        case 2
            aafPoses = [afEntrancePoint' 0 0;
                        afEntrancePoint' 0 0] + ...
                        [0.26 0.5 0 0;
                         -0.25 0.5 0 0];
        case 3
            aafPoses = [afEntrancePoint' 0 0;
                        afEntrancePoint' 0 0;
                        afEntrancePoint' 0 0] + ...
                        [-0.5 0.5 0 0;
                         0.6 0.5 0 0;
                         0 0.5 0 0];
        case 4
            aafPoses = [afEntrancePoint' 0 0;
                        afEntrancePoint' 0 0;
                        afEntrancePoint' 0 0;
                        afEntrancePoint' 0 0] + ...
                        [-0.76 0.5 0 0;
                         -0.26 0.5 0 0;
                         0.25 0.5 0 0;
                         0.75 0.5 0 0];

%         case 1
%             aafPoses = [afEntrancePoint' 0 0] + [0 1 0 0];
%         case 2
%             aafPoses = [afEntrancePoint' 0 0;
%                         afEntrancePoint' 0 0] + ...
%                         [0.6 0.75 0 0;
%                          -0.5 0.75 0 0];
%         case 3
%             aafPoses = [afEntrancePoint' 0 0;
%                         afEntrancePoint' 0 0;
%                         afEntrancePoint' 0 0] + ...
%                         [-0.5 0.5 0 0;
%                          0.6 0.5 0 0;
%                          0 0.7 0 0];
%         case 4
%             aafPoses = [afEntrancePoint' 0 0;
%                         afEntrancePoint' 0 0;
%                         afEntrancePoint' 0 0;
%                         afEntrancePoint' 0 0] + ...
%                         [-0.5 0.5 0 0;
%                          0.6 0.5 0 0;
%                          1 0.7 0 0;
%                          0 0.7 0 0];

    end
    aafPoses = aafPoses' + [(randi(100,2,iNumberOfNewDrones)-50)/1000;...
        zeros(2,iNumberOfNewDrones)];
end