
function [aaafPredictedStates, aaafPredictedU, afPredictedArea] = PredictArea(atDrones, tController, tEnvironment, iNumberOfPredictions, fTimestep)
    
    aaafPredictedStates = zeros(4,numel(atDrones), iNumberOfPredictions);
    aaafPredictedU = zeros(2, numel(atDrones), iNumberOfPredictions);
    afPredictedArea = zeros(1, iNumberOfPredictions);
    
    for iTime = 1:iNumberOfPredictions

        aaafPredictedU(:,:,iTime) = tController.Actuation(atDrones);

        aaafPredictedStates(:,:,iTime) = Drone.ActuateAll(atDrones, aaafPredictedU(:,:,iTime), fTimestep);
        Drone.CalculateInternalBorders(atDrones, tEnvironment);
        afPredictedArea(iTime) = CalculateArea(atDrones);
    end
end